function c = runge_lstsq(m,n)
%PRE:  m, n: positive integers, n+1 <= m
%POST: c: (n+1) x 1 real array
%DESC: Computes coefficients of a polynomial approximation 
%to the Runge-Function. The polynomial has the form
%   c(1)+c(2)*x+c(3)*x^2+...+c(n+1)*x^n

if (n+1)>m
    error('Error: it must hold m>=n+1');
end

a = -5;
b = 5;
x = %% [todo] Interpolationspunkte x_1,...,x_N (siehe linspace)

f = @(x)(1./(1. + x.^2));
b = %% [todo] rechte Seite des Ausgleichsproblems
A = zeros(m,n+1);

for i=1:n+1
    A(:,i) = %% [todo] Konstruktion der Matrix A im Ausgleichsproblem
end

% Compute the QR-decomposition of A
[Q,R] = qr(A);

% Find the best approximation
%% [todo] loese das Ausgleichsproblem A*c = b fuer c durch Rueckwaertseinsetzen!
...
c = ...;

end

